Contributing to python-gcm
===
We'd love to accept your patches!
To contribute to python-gcm simply open a pull request against the [develop branch](https://github.com/geeknam/python-gcm/tree/develop)

Some things that will increase the chance that your pull request is accepted:
* Succinctly describe your changes in the pull request description
* Write tests:
  * new features should include tests
  * changes to existing code should be reflected in the tests
  * code coverage should not decrease
  * run **all** the tests to assure nothing else was accidentally broken.
* Be consistent with the coding style
* Make commits of logical units
* Write descriptive commit messages
* Check for unnecessary whitespace with `git diff --check` before committing.
